org.apache.fop.layoutmgr

## Class Adjustment

- java.lang.Object
- - org.apache.fop.layoutmgr.Adjustment

    public final class Adjustment
    extends Object

See Also:
  `http://www.leverkruid.eu/GKPLinebreaking/elements.html`

### Field Summary

Fields
`static Adjustment` `LINE_HEIGHT_ADJUSTMENT` Adjustment class: adjustment for line height.
`static Adjustment` `LINE_NUMBER_ADJUSTMENT` Adjustment class: adjustment for number of lines.
`static Adjustment` `NO_ADJUSTMENT` Adjustment class: no adjustment.
`static Adjustment` `SPACE_AFTER_ADJUSTMENT` Adjustment class: adjustment for space-after.
`static Adjustment` `SPACE_BEFORE_ADJUSTMENT` Adjustment class: adjustment for space-before.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NO_ADJUSTMENT

    public static final Adjustment NO_ADJUSTMENT

Adjustment class: no adjustment.

#### SPACE_BEFORE_ADJUSTMENT

    public static final Adjustment SPACE_BEFORE_ADJUSTMENT

Adjustment class: adjustment for space-before.

#### SPACE_AFTER_ADJUSTMENT

    public static final Adjustment SPACE_AFTER_ADJUSTMENT

Adjustment class: adjustment for space-after.

#### LINE_NUMBER_ADJUSTMENT

    public static final Adjustment LINE_NUMBER_ADJUSTMENT

Adjustment class: adjustment for number of lines.

#### LINE_HEIGHT_ADJUSTMENT

    public static final Adjustment LINE_HEIGHT_ADJUSTMENT

Adjustment class: adjustment for line height.

### Method Detail

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`